import App
import MissionLib
import Libs.LibEngineering
import Bridge.BridgeUtils
import Bridge.EngineerMenuHandlers
#import Libs.BCSTNGLib
try:
	pModule = __import__("Custom.UnifiedMainMenu.ConfigModules.Options.BCSTheBeginning")
	pOption = pModule.EngineeringOption
	EngineeringOption = int(pOption)
	import Libs.BCSTNGLib
except:
	EngineeringOption = None


pMenu = None

#menu creator
def init():
	global pButtonMain, pButtonReserve, pMenu 
	# If the option is active, create the "special" menu.  
        if EngineeringOption == 1:
                        pMenu       = Libs.BCSTNGLib.CreateEngineerMenu("Power Transfer", "Engineer")
             
        # Otherwise, create menus as normal. 
        else:
                        pBrexMenu   = Libs.LibEngineering.GetBridgeMenu("Engineering")
                        pMenu          = App.STMenu_CreateW(App.TGString("Power Transfer"))
			pBrexMenu.PrependChild(pMenu)

	pButtonReserve = Libs.LibEngineering.CreateMenuButton("to Reserve Battery", "Engineering", __name__ + ".pReservetransfer", 0, pMenu)
        pButtonMain = Libs.LibEngineering.CreateMenuButton("to Main Battery", "Engineering", __name__ + ".pMaintransfer", 0, pMenu)

def GetPercentage():
	return 0.1

def pReservetransfer(pObject, pEvent):
	pPlayer = MissionLib.GetPlayer()
	pPower = pPlayer.GetPowerSubsystem()
	MainBatteryPower = pPower.GetMainBatteryPower()
	MainBatteryLimit = pPower.GetMainBatteryLimit()
        ReserveBatteryPower = pPower.GetBackupBatteryPower()
        ReserveBatteryLimit = pPower.GetBackupBatteryLimit()
	pGame = App.Game_GetCurrentGame()
        pEpisode = pGame.GetCurrentEpisode()
        pMission = pEpisode.GetCurrentMission()
        Transferenergy = ReserveBatteryLimit*GetPercentage()
	if (MainBatteryPower>Transferenergy):
		pPower.SetMainBatteryPower(MainBatteryPower - Transferenergy)
        	pPower.SetBackupBatteryPower(ReserveBatteryPower + Transferenergy)
	else: 
		return

def pMaintransfer(pObject, pEvent):
	pPlayer = MissionLib.GetPlayer()
	pPower = pPlayer.GetPowerSubsystem()
	MainBatteryPower = pPower.GetMainBatteryPower()
	MainBatteryLimit = pPower.GetMainBatteryLimit()
        ReserveBatteryPower = pPower.GetBackupBatteryPower()
        ReserveBatteryLimit = pPower.GetBackupBatteryLimit()
	pGame = App.Game_GetCurrentGame()
        pEpisode = pGame.GetCurrentEpisode()
        pMission = pEpisode.GetCurrentMission()
        Transferenergy = ReserveBatteryLimit*GetPercentage()
	if (ReserveBatteryPower>Transferenergy):
		pPower.SetMainBatteryPower(MainBatteryPower + Transferenergy)
        	pPower.SetBackupBatteryPower(ReserveBatteryPower - Transferenergy)
	else: 
		return



